Subject: Re: bug#4134: 23.1; Buffer Tab not being linked properly

From: Glenn Morris <[email-masked]>
Date: Thu, 20 Aug 2009 20:34:28 -0400

tags 4134 moreinfo unreproducible
stop

David Ronis wrote:

> I'm working on a fortran project and am currently using emacs to
> edit the Makefile, fortran source file and to do the compilation
> (I'm also using it to send this bug report). The menubar at the top
> has entries that change when I switch buffers/modes; e.g., right now
> I see entries like
>
> File Edit Options Buffers Tools Headers Mail Mailcrypt Help
>
> Clicking on Mail or Mailcrypt doen't popup a menu.
>
> Switching to my fortran buffer, I have
>
>
> File Edit Options Buffers Tools Fortran Help
>
> Now clicking on Fortran generates the correct menu.
>
> Compiling the program results in a compilation buffer with 
> a menubar containing
>
> File Edit Options Buffers Tools Compile Help
>
> Clicking on Compile gets the Fortran menu.  

I cannot reproduce this. Can you explain how to get to this state,
starting from emacs -Q? For example, Mailcrypt is not part of Emacs.

> In GNU Emacs 23.1.1 (i686-pc-linux-gnu, GTK+ Version 2.12.12)
>  of 2009-07-30 on ronispc
[...]
> configured using `configure 'CC=/usr/bin/gcc' 'CFLAGS=-march=native
> -msse2 -mfpmath=sse -O3 -ffast-math -funroll-loops
> -fomit-frame-pointer -floop-interchange -floop-strip-mine
> -floop-block''

Wow, your Emacs goes to 11.